Subject: Re: [PATCH v2 4/4] bisect--helper: double-check run command on exit code 126 and 127

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Feb 2022 11:32:21 -0800

"Ramkumar Ramachandra" <[email-masked]> writes:

> Junio C Hamano wrote:
>> * Can we have *no* rev that is marked as "good"?  I think we made
>>    it possible to say "my time is more valuable than machine cycles,
>>    so I'll only tell you that this revision is broken and give you
>>    no limit on the bottom side of the history.  still assume that
>>    there was only one good-to-bad transition in the history and find
>>    it" by supplying only one "bad" and no "good" when starting to
>>    bisect.  And in such a case, ...
>
> Hm, this addition might be an unpleasant special-case syntax, breaking both `git bisect start [bad [good]]` and `git bisect bad ...; git bisect start`.

Interesting.  Our "start" does allow you to give one "bad" and then
zero "good" commits.  And it will sit and wait until you give at
least one "good".  So we'd need an "--assume-roots-are-good" option
or something to force bisect the whole history below the "bad" one.